#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        Configure the appearance of GTK apps in Plasma
Name:           kde-gtk-config
Version: 5.8.6
Epoch:          1
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

# Mageia patch
Patch500:       kde-gtk-config-2.0-gtkrc-2.0-kde-config-file.patch
Patch501:       kde-gtk-config-2.2.1-Adwaita-is-cursors-and-icons-theme.patch

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
 
BuildRequires:  gtk2-devel

BuildRequires:  pkgconfig(gtk+-3.0)

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwallet-devel
BuildRequires:  kio-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kiconthemes-devel

# need kcmshell5 from kde-cli-tools
Requires:       kde-cli-tools
Requires:       %{_lib}rsvg2_2
     
%description
Configuration dialog to adapt GTK applications appearance to your taste
under KDE. Among its many features, it lets you:
- Choose which theme is used for GTK2 and GTK3 applications.
- Tweak some GTK applications behaviour.
- Select what icon theme to use in GTK applications.
- Select GTK applications default fonts.
- Easily browse and install new GTK2 and GTK3 themes.

%files -f %{name}5.lang
%_sysconfdir/xdg/cgcgtk3.knsrc
%_sysconfdir/xdg/cgcicon.knsrc
%_sysconfdir/xdg/cgctheme.knsrc
%_qt5_plugindir/kcm_kdegtkconfig.so
%_libexecdir/gtk3_preview
%_libexecdir/gtk_preview
%_libexecdir/reload_gtk_apps
%_iconsdir/hicolor/*/*/*
%_kf5_datadir/kcm-gtk-module/preview.ui
%_kf5_services/kde-gtk-config.desktop

#------------------------------------------------

%prep
%setup -q 
#apply_patches

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:5.8.6-1.mga6
+ Revision: 1089963
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 1:5.8.5-1.mga6
+ Revision: 1078154
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 1:5.8.4-1.mga6
+ Revision: 1070711
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 1:5.8.3-2.mga6
+ Revision: 1065094
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 1:5.8.3-1.mga6
+ Revision: 1064471
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 1:5.8.2-1.mga6
+ Revision: 1063042
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 1:5.8.1-1.mga6
+ Revision: 1060267
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 1:5.8.0-1.mga6
+ Revision: 1057593
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 1:5.7.95-1.mga6
+ Revision: 1053049
- New version 5.7.95

* Thu Sep 15 2016 neoclust <neoclust> 1:5.7.5-2.mga6
+ Revision: 1053028
- Explicitly require librsvg2_2 ( mga#18668)

* Wed Sep 14 2016 neoclust <neoclust> 1:5.7.5-1.mga6
+ Revision: 1052676
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 1:5.7.4-1.mga6
+ Revision: 1048337
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 1:5.7.3-1.mga6
+ Revision: 1044262
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 1:5.7.2-1.mga6
+ Revision: 1042550
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 1:5.7.1-1.mga6
+ Revision: 1041387
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 1:5.7.0-1.mga6
+ Revision: 1039493
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.6.5-1.mga6
+ Revision: 1021859
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 1:5.6.4-1.mga6
+ Revision: 1014530
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 1:5.6.3-1.mga6
+ Revision: 1009266
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 1:5.6.2-1.mga6
+ Revision: 999250
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 1:5.6.1-1.mga6
+ Revision: 998005
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 1:5.6.0-1.mga6
+ Revision: 994380
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 1:5.5.95-2.mga6
+ Revision: 987075
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 1:5.5.95-1.mga6
+ Revision: 983733
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 1:5.5.4-1.mga6
+ Revision: 927960
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 1:5.5.3-1.mga6
+ Revision: 922497
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 1:5.5.2-1.mga6
+ Revision: 914833
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 1:5.5.1-2.mga6
+ Revision: 913628
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 1:5.5.1-1.mga6
+ Revision: 910678
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 1:5.5.0-1.mga6
+ Revision: 908839
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 1:5.4.95-1.mga6
+ Revision: 904392
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 1:5.4.90-2.mga6
+ Revision: 900718
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 1:5.4.90-1.mga6
+ Revision: 898250
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 1:5.4.2-1.mga6
+ Revision: 889507
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 1:5.4.1-1.mga6
+ Revision: 874722
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 1:5.4.0-1.mga6
+ Revision: 869638
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 1:5.3.95-1.mga6
+ Revision: 862530
- New version 5.3.95

* Sat Jul 18 2015 neoclust <neoclust> 1:5.3.2-1.mga6
+ Revision: 855038
- New version 5.3.2

* Mon Nov 10 2014 lmenut <lmenut> 2.2.1-6.mga5
+ Revision: 796157
- add patch to recognize Adwaita as icons theme

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-5.mga5
+ Revision: 742554
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-4.mga5
+ Revision: 680973
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 lmenut <lmenut> 2.2.1-3.mga5
+ Revision: 666951
- add upstream patches from kde-gtk-config/2.2
- new icon

* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-2.mga4
+ Revision: 523320
- Mageia 4 Mass Rebuild

* Sun Apr 07 2013 neoclust <neoclust> 2.2.1-1.mga3
+ Revision: 408662
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 355921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 2.1.1-1.mga3
+ Revision: 315477
- new version 2.1.1

* Sun Sep 02 2012 lmenut <lmenut> 2.1-1.mga3
+ Revision: 287415
- update to 2.1

* Fri Apr 20 2012 boklm <boklm> 2.0-2.mga2
+ Revision: 231976
- rebuild to fix package signature problem

* Sun Apr 15 2012 lmenut <lmenut> 2.0-1.mga2
+ Revision: 230885
- imported package kde-gtk-config

